Get a single requirement
Retrieve details for a specific requirement by ID
Required permissions: readApplications
Account-scoped: Requires X-Account-ID header
Path Parameters
- Type: stringapplication
Id requiredThe unique ID of the application
- Type: integerrequirement
Id requiredThe ID of the requirement
Headers
- Type: stringx
-account -id requiredAccount ID for the request
Responses
- application/json
- 400
Invalid requirement ID
- 401
Unauthorized - User not authenticated
- 403
Forbidden - User does not have readApplications permission
- 404
Requirement or application not found
- application/json
Request Example for get/applications/{applicationId}/requirements/{requirementId}
curl 'https://api.pulsecrm.com/applications/{applicationId}/requirements/1' \
--header 'x-account-id: 2311' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": 1,
"applicationId": 1,
"type": "document",
"questionText": "string",
"documentKey": "string",
"customDocumentName": "string",
"documentDescription": "string",
"forOwner": true,
"ownerUniqueId": "string",
"fieldSection": "string",
"fieldPath": "string",
"fieldLabel": "string",
"currentValue": "string",
"reason": "string",
"priority": "required",
"status": "pending",
"requestedBy": 1,
"requestedAt": "2026-05-23T20:01:14.980Z",
"resolvedBy": 1,
"resolvedAt": "2026-05-23T20:01:14.980Z",
"underwriterNotes": "string",
"applicantNotes": "string",
"rejectionReason": "string",
"createdAt": "2026-05-23T20:01:14.980Z",
"updatedAt": "2026-05-23T20:01:14.980Z",
"requestedByUser": {
"id": 1,
"name": "string",
"email": "string"
}
}